﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication148
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataTable dt = null;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            dt = GetColumnData();

            xgrid1.DataSource = dt.DefaultView;
           


        }

        private DataTable GetColumnData()
        {
            DataTable mydata = new DataTable();
            // Define the columns and their names
            mydata.Columns.Add("Status", typeof(string));
            mydata.Columns.Add("Job", typeof(string));
            mydata.Columns.Add("Column B", typeof(int));
            mydata.Columns.Add("Column C", typeof(int));
            mydata.Columns.Add("Column D", typeof(int));
            // Add the rows of data
            mydata.Rows.Add(new Object[] { "Connected", "job1", 4, 10, 4 });
            mydata.Rows.Add(new Object[] { "Connected", "job2", 6, 4, 5 });
            mydata.Rows.Add(new Object[] { "Running", "job3", 8, 6, 7 });
            mydata.Rows.Add(new Object[] { "Running", "job4", 10, 7, 7 });
            mydata.Rows.Add(new Object[] { "Connecting", "job5", 10, 7, 7 });
            mydata.Rows.Add(new Object[] { "Connecting", "job6", 10, 7, 7 });
            return mydata;
        }

        private void update_Click(object sender, RoutedEventArgs e)
        {
            foreach (DataRow dr in dt.Rows)
            {
                Record r = xgrid1.GetRecordFromDataItem(dr, false);
                 if (dr["Status"] == "Connected")
                 {
                     dr["Status"] = "Running";
                 } else if (dr["Status"] == "Running")
                 {
                     dr ["Status"] = "Connecting";
 
                 } else dr["Status"] = "Connected";
                 r.RefreshSortPosition();
               
                    
            }

        }
    }
}
